libzypp 17.37.10

zypp::media::MediaManager_Impl Class Reference

## Public Member Functions
| MediaManager_Impl (const MediaManager_Impl &)=delete
| MediaManager_Impl (MediaManager_Impl &&)=delete
MediaManager_Impl & | operator= (const MediaManager_Impl &)=delete
MediaManager_Impl & | operator= (MediaManager_Impl &&)=delete
| ~MediaManager_Impl ()
MediaAccessId | nextAccessId ()
bool | hasId (MediaAccessId accessId) const
ManagedMedia & | findMM (MediaAccessId accessId)

## Static Public Member Functions
static time_t | getMountTableMTime ()
static MountEntries | getMountEntries ()

## Private Member Functions
| MediaManager_Impl ()

## Private Attributes
MediaAccessId | last_accessid
ManagedMediaMap | mediaMap

## Friends
class | MediaManager

## Detailed Description

Definition at line 206 of file MediaManager.cc.

## Constructor & Destructor Documentation

## ◆ MediaManager_Impl() [1/3]

zypp::media::MediaManager_Impl::MediaManager_Impl | ( |  | ) |
| inline private

Definition at line 214 of file MediaManager.cc.

## ◆ MediaManager_Impl() [2/3]

zypp::media::MediaManager_Impl::MediaManager_Impl | ( | const MediaManager_Impl & |  | ) |
| delete

## ◆ MediaManager_Impl() [3/3]

zypp::media::MediaManager_Impl::MediaManager_Impl | ( | MediaManager_Impl && |  | ) |
| delete

## ◆ ~MediaManager_Impl()

zypp::media::MediaManager_Impl::~MediaManager_Impl | ( |  | ) |
| inline

Definition at line 225 of file MediaManager.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

MediaManager_Impl & zypp::media::MediaManager_Impl::operator= | ( | const MediaManager_Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

MediaManager_Impl & zypp::media::MediaManager_Impl::operator= | ( | MediaManager_Impl && |  | ) |
| delete

## ◆ nextAccessId()

MediaAccessId zypp::media::MediaManager_Impl::nextAccessId | ( |  | ) |
| inline

Definition at line 258 of file MediaManager.cc.

## ◆ hasId()

bool zypp::media::MediaManager_Impl::hasId | ( | MediaAccessId | accessId | ) | const
| inline

Definition at line 264 of file MediaManager.cc.

## ◆ findMM()

ManagedMedia & zypp::media::MediaManager_Impl::findMM | ( | MediaAccessId | accessId | ) |
| inline

Definition at line 270 of file MediaManager.cc.

## ◆ getMountTableMTime()

time_t zypp::media::MediaManager_Impl::getMountTableMTime | ( |  | ) |
| inline static

Definition at line 283 of file MediaManager.cc.

## ◆ getMountEntries()

MountEntries zypp::media::MediaManager_Impl::getMountEntries | ( |  | ) |
| inline static

Definition at line 289 of file MediaManager.cc.

## Friends And Related Symbol Documentation

## ◆ MediaManager

friend class MediaManager
| friend

Definition at line 209 of file MediaManager.cc.

## Member Data Documentation

## ◆ last_accessid

MediaAccessId zypp::media::MediaManager_Impl::last_accessid
| private

Definition at line 211 of file MediaManager.cc.

## ◆ mediaMap

ManagedMediaMap zypp::media::MediaManager_Impl::mediaMap
| private

Definition at line 212 of file MediaManager.cc.

The documentation for this class was generated from the following file:

- zypp/media/MediaManager.cc